Bug 1287964 - Random screen flickering after update from xorg-x11-drv-intel-2.99.917-6
Random screen flickering after update from xorg-x11-drv-intel-2.99.917-6
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 02:25 EST by Saurav Sg
Modified: 2016-12-20 11:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:36:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurav Sg 2015-12-03 02:25:56 EST
Description of problem:
Ever since Fedora 22, with any version of xorg-x11-drv-intel later than 2.99.917-6 there is random flickering of the screen on my Dell Inspiron 15 with "Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)" (lspci). The flickering is both random and infrequent, and occurs mostly when a maximized window with a large white background is open, such as the Web browser or a text editor. I found some issues on the Web, such as bug #1226531 and bug #1226743 here, and http://lists.freedesktop.org/archives/intel-gfx/2015-May/066591.html, but these issues are either marked as fixed or seem to be different. According to various comments on such issues, I have tried both the i915.enable_ips=0 kernel boot option and the UXA acceleration method, to no avail. I have font scaling set to a factor of 1.05 although my screen resolution is 1366x768 (not native HiDPI). However, with xorg-x11-drv-intel-2.99.917-6 and earlier, font scaling did not cause any flickering. I am not using Wayland.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel.x86_64 2.99.917-16.20150729.fc23

How reproducible:
Random

Steps to Reproduce:
Not deterministic, may not occur.
1. Use a version of xorg-x11-drv-intel later than 2.99.917-6 on an Intel Haswell graphics controller.
2. Open a window (on GNOME in my case, and not on Wayland), preferably one showing a large white background, and let it remain in focus for several minutes without any activity or with infrequent and minimum (localized) activity. Do not change window focus.

Actual results:
Screen sometimes flickers.

Expected results:
No flickering of the screen.

Additional info:
GNOME 3.18. Font scaling set to 1.05 on 1366x768 resolution. Not using Wayland.
Comment 1 Fedora End Of Life 2016-11-24 08:56:35 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:36:04 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.